| LicenseSpring C++ SDK 7.27.0 Easily add Software Licensing to your application

Public Attributes | List of all members
LSCustomer Struct Reference

`#include <LicenseSpring/C-interface/Customer.h>`

## Public Attributes
const char *(* | email )(struct LSCustomer *self)
void(* | setEmail )(struct LSCustomer *self, const char *email)
const char *(* | firstName )(struct LSCustomer *self)
void(* | setFirstName )(struct LSCustomer *self, const char *name)
const char *(* | lastName )(struct LSCustomer *self)
void(* | setLastName )(struct LSCustomer *self, const char *name)
const char *(* | company )(struct LSCustomer *self)
void(* | setCompany )(struct LSCustomer *self, const char *company)
const char *(* | phone )(struct LSCustomer *self)
void(* | setPhone )(struct LSCustomer *self, const char *phone)
const char *(* | address )(struct LSCustomer *self)
void(* | setAddress )(struct LSCustomer *self, const char *address)
const char *(* | city )(struct LSCustomer *self)
void(* | setCity )(struct LSCustomer *self, const char *city)
const char *(* | state )(struct LSCustomer *self)
void(* | setState )(struct LSCustomer *self, const char *state)
const char *(* | country )(struct LSCustomer *self)
void(* | setCountry )(struct LSCustomer *self, const char *country)
const char *(* | postcode )(struct LSCustomer *postcode)
void(* | setPostcode )(struct LSCustomer *self, const char *postcode)
const char *(* | reference )(struct LSCustomer *self)
void(* | setReference )(struct LSCustomer *self, const char *reference)
const char *(* | metadata )(struct LSCustomer *self)
void(* | setMetadata )(struct LSCustomer *self, const char *metadata)
void * | inner

## Detailed Description

Definition at line 10 of file Customer.h.

## Member Data Documentation

## ◆ email

const char*( * LSCustomer::email) (struct LSCustomer *self)

Definition at line 12 of file Customer.h.

## ◆ setEmail

void( * LSCustomer::setEmail) (struct LSCustomer *self, const char *email)

Definition at line 14 of file Customer.h.

## ◆ firstName

const char*( * LSCustomer::firstName) (struct LSCustomer *self)

Definition at line 16 of file Customer.h.

## ◆ setFirstName

void( * LSCustomer::setFirstName) (struct LSCustomer *self, const char *name)

Definition at line 18 of file Customer.h.

## ◆ lastName

const char*( * LSCustomer::lastName) (struct LSCustomer *self)

Definition at line 20 of file Customer.h.

## ◆ setLastName

void( * LSCustomer::setLastName) (struct LSCustomer *self, const char *name)

Definition at line 22 of file Customer.h.

## ◆ company

const char*( * LSCustomer::company) (struct LSCustomer *self)

Definition at line 24 of file Customer.h.

## ◆ setCompany

void( * LSCustomer::setCompany) (struct LSCustomer *self, const char *company)

Definition at line 26 of file Customer.h.

## ◆ phone

const char*( * LSCustomer::phone) (struct LSCustomer *self)

Definition at line 28 of file Customer.h.

## ◆ setPhone

void( * LSCustomer::setPhone) (struct LSCustomer *self, const char *phone)

Definition at line 30 of file Customer.h.

## ◆ address

const char*( * LSCustomer::address) (struct LSCustomer *self)

Definition at line 32 of file Customer.h.

## ◆ setAddress

void( * LSCustomer::setAddress) (struct LSCustomer *self, const char *address)

Definition at line 34 of file Customer.h.

## ◆ city

const char*( * LSCustomer::city) (struct LSCustomer *self)

Definition at line 36 of file Customer.h.

## ◆ setCity

void( * LSCustomer::setCity) (struct LSCustomer *self, const char *city)

Definition at line 38 of file Customer.h.

## ◆ state

const char*( * LSCustomer::state) (struct LSCustomer *self)

Definition at line 40 of file Customer.h.

## ◆ setState

void( * LSCustomer::setState) (struct LSCustomer *self, const char *state)

Definition at line 42 of file Customer.h.

## ◆ country

const char*( * LSCustomer::country) (struct LSCustomer *self)

Definition at line 44 of file Customer.h.

## ◆ setCountry

void( * LSCustomer::setCountry) (struct LSCustomer *self, const char *country)

Definition at line 46 of file Customer.h.

## ◆ postcode

const char*( * LSCustomer::postcode) (struct LSCustomer *postcode)

Definition at line 48 of file Customer.h.

## ◆ setPostcode

void( * LSCustomer::setPostcode) (struct LSCustomer *self, const char *postcode)

Definition at line 50 of file Customer.h.

## ◆ reference

const char*( * LSCustomer::reference) (struct LSCustomer *self)

Definition at line 52 of file Customer.h.

## ◆ setReference

void( * LSCustomer::setReference) (struct LSCustomer *self, const char *reference)

Definition at line 54 of file Customer.h.

## ◆ metadata

const char*( * LSCustomer::metadata) (struct LSCustomer *self)

Definition at line 56 of file Customer.h.

## ◆ setMetadata

void( * LSCustomer::setMetadata) (struct LSCustomer *self, const char *metadata)

Definition at line 58 of file Customer.h.

## ◆ inner

void* LSCustomer::inner

Definition at line 60 of file Customer.h.

The documentation for this struct was generated from the following file:

- LicenseSpring/C-interface/Customer.h